Commit 51be30f3cd29682cd94fcbfbe18eeac492095a05

Ryan C. Gordon 2022-08-17T21:37:32

emscripten-buildbot.sh: force `-s USE_SDL=0` This avoids using Emscripten-provided SDL headers from its own sysroot instead of the headers in our own include directory! Reference https://github.com/emscripten-core/emscripten/discussions/17647

1
2
3
4
5
6
7
8
9
10
11
12
13
diff --git a/build-scripts/emscripten-buildbot.sh b/build-scripts/emscripten-buildbot.sh
index 0898d74..8538c45 100755
--- a/build-scripts/emscripten-buildbot.sh
+++ b/build-scripts/emscripten-buildbot.sh
@@ -55,7 +55,7 @@ mkdir buildbot
 pushd buildbot
 
 echo "Configuring..."
-emconfigure ../configure --host=wasm32-unknown-emscripten --disable-assembly --disable-threads --disable-cpuinfo CFLAGS="-O2 -Wno-warn-absolute-paths -Wdeclaration-after-statement -Werror=declaration-after-statement" --prefix="$PWD/emscripten-sdl2-installed" || exit $?
+emconfigure ../configure --host=wasm32-unknown-emscripten --disable-assembly --disable-threads --disable-cpuinfo CFLAGS="-s USE_SDL=0 -O2 -Wno-warn-absolute-paths -Wdeclaration-after-statement -Werror=declaration-after-statement" --prefix="$PWD/emscripten-sdl2-installed" || exit $?
 
 echo "Building..."
 emmake $MAKE || exit $?